//////////////////////////////////////////////////////////////////////////
// main.cpp
//////////////////////////////////////////////////////////////////////////

#include <qapplication.h>
#include "ui/gpsmainwindowimpl.h"
#include "kernel/componentManager.h"


int main(int argc, char** argv )
{
  QApplication app( argc, argv );
  
  ComponentManager* mgr = ComponentManager::create(); 
  
  if (argc > 1)
  {
    QString fileName = argv[1];
    mgr->loadComponents(fileName); 
  }

  GpsMainWindowImpl window;  
	app.setMainWidget(&window);
  QApplication::connect( &app, SIGNAL(lastWindowClosed()), &app, SLOT(quit()) );
  window.show(); 

	return app.exec();

}